Name:          tiles-autotag
Version:       1.2
Release:       1%{?dist}
Summary:       Automatic tag generation for Apache Tiles-3
License:       ASL 2.0
Url:           http://tiles.apache.org/tiles-autotag/
Source0:       http://www.apache.org/dist/tiles/autotag/v%{version}/%{name}-%{version}-src.tar.gz

# Thanks to Michael Simacek <msimacek@redhat.com> for the help
Patch0:        tiles-autotag-1.2-port-core-to-qdox2.patch
# Velocity < 1.7
Patch1:        tiles-autotag-1.2-core-skip-old-velocity-tests.patch

BuildRequires: maven-local
BuildRequires: mvn(com.thoughtworks.qdox:qdox)
BuildRequires: mvn(com.thoughtworks.xstream:xstream)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven:maven-artifact)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-model)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
# org.apache.maven:maven-project
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.velocity:velocity)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.sonatype.plexus:plexus-build-api)

BuildArch:     noarch

%description
Tiles-3 introduces a feature complete Autotag project,
a project that automatically generates tags (or tag-like)
artifact from a common template code for a range of
templating languages. Today JSP tags, Freemarker
directive models and Velocity directives are generated
from a common template models. 

%package core
Summary:       Apache Tiles Autotag - Core

%description core
Core classes for Apache Tiles Autotag.

%package core-runtime
Summary:       Apache Tiles Autotag - Core runtime

%description core-runtime
Apache Tiles Autotag: runtime core classes.

%package freemarker
Summary:       Apache Tiles Autotag - Freemarker support

%description freemarker
Generates code for Freemarker support.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package jsp
Summary:       Apache Tiles Autotag - JSP tags automatic generation

%description jsp
Generates JSP tags automatically from templates.

%package -n maven-autotag-plugin
Summary:       Apache Tiles Autotag Maven Mojo

%description -n maven-autotag-plugin
Apache Tiles Automatic tag generation - Maven Mojo.

%package velocity
Summary:       Apache Tiles Autotag - Velocity support

%description velocity
Module to generate Velocity code to use tag models.

%prep
%setup -q -n %{name}-%{version}

mv src/assembly .
mv src/maven-autotag-plugin .
mv src/tiles* .
mv src/src/* src/
mv src/pom.xml .
rm -r src/src

%patch0 -p1
%patch1 -p1

%pom_remove_parent
%pom_disable_module assembly

%pom_remove_plugin -r :maven-scm-publish-plugin
%pom_remove_plugin -r :maven-release-plugin

# try to use only maven 3 apis
%pom_remove_dep :maven-project maven-autotag-plugin

# Use maven 2.2.1
#[ERROR] tiles-autotag-1.2/maven-autotag-plugin/src/test/java/org/apache/tiles/autotag/plugin/AbstractGenerateMojoTest.java:[91,76] incompatible types: java.util.List<java.lang.Object> cannot be converted to java.util.List<org.apache.maven.model.Resource>
#[ERROR] tiles-autotag-1.2/maven-autotag-plugin/src/test/java/org/apache/tiles/autotag/plugin/AbstractGenerateMojoTest.java:[93,85] incompatible types: java.util.List<java.lang.Object> cannot be converted to java.util.List<java.lang.String>
#[ERROR] tiles-autotag-1.2/maven-autotag-plugin/src/test/java/org/apache/tiles/autotag/plugin/CreateDescriptorMojoTest.java:[95,76] incompatible types: java.util.List<java.lang.Object> cannot be converted to java.util.List<org.apache.maven.model.Resource>
rm maven-autotag-plugin/src/test/java/org/apache/tiles/autotag/plugin/AbstractGenerateMojoTest.java \
 maven-autotag-plugin/src/test/java/org/apache/tiles/autotag/plugin/CreateDescriptorMojoTest.java

mv assembly/src/main/resources/LICENSE.txt .
sed -i 's/\r//' LICENSE.txt NOTICE.txt

%build

%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-tiles-autotag
%license LICENSE.txt NOTICE.txt

%files core -f .mfiles-tiles-autotag-core
%files core-runtime -f .mfiles-tiles-autotag-core-runtime
%license LICENSE.txt NOTICE.txt

%files freemarker -f .mfiles-tiles-autotag-freemarker

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%files jsp -f .mfiles-tiles-autotag-jsp
%files -n maven-autotag-plugin -f .mfiles-maven-autotag-plugin
%license LICENSE.txt NOTICE.txt

%files velocity -f .mfiles-tiles-autotag-velocity

%changelog
* Sun Nov 20 2016 gil cattaneo <puntogil@libero.it> 1.2-1
- update to 1.2

* Thu Jul 14 2016 gil cattaneo <puntogil@libero.it> 1.1.0-1
- update to 1.1.0

* Thu Jun 07 2012 gil cattaneo <puntogil@libero.it> 1.0.0-1
- initial rpm

